<?php if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class WoocommerceIR_SMS_Ads {

	public function __construct() {

		if ( ! is_admin() || get_option( 'pwoosms_ads_noticemelli' ) ) {
			return;
		}

		add_action( 'pwoosms_settings_form_admin_notices', array( $this, 'adminNotice' ) );
		add_action( 'wp_ajax_pwoosms_notice_dismiss', array( $this, 'ajaxCallback' ) );
	}

	public function adminNotice() { ?>
        <div class="notice notice-info below-h2" id="sms-notic-block"><p>
                نکات مهم:
                <br>
                جهت تنظیمات پنل پیامک بر روی افزونه به سربرگ "وب سرویس" مراجعه کنید
                <br>
                جهت "ارسال سریع" پیامک ها در متن پیامک ها، از لینک استفاده نـفرمائید و نام سایت یا شرکت خود را بصورت فارسی تایپ کنید
                <br>
                جهت ارسال پیامک ها به شماره های بلک لیست (مسدود) از "خط خدماتی اشتراکی" سامانه استفاده نمائید . برای فعالسازی این خط از طریق تیکت درخواست خود را ارسال نمائید
                <br>
                وب سرویس سامانه بصورت اختصاصی به افزونه اضافه شده است ، به همین دلیل از "آپدیت افزونه" خودداری نمائید
                <br><br>

            </p>
        </div>
        <script type="text/javascript">
            jQuery(document).on('click', '#sms-notic-block .button-secondary', function () {
                jQuery.ajax({
                    url: ajaxurl,
                    data: {
                        action: 'pwoosms_notice_dismiss'
                    }
                }).done(function () {
                    jQuery("#sms-notic-block").slideUp(1000);
                });
            })
        </script>
		<?php
	}

	public function ajaxCallback() {
		update_option( 'pwoosms_ads_noticemelli', 1 );
		die();
	}

}

new WoocommerceIR_SMS_Ads();